Subject: Re: bug#22096: 25.0.50; reading from fifo breaks display

From: Eli Zaretskii <[email-masked]>
Date: Sat, 05 Dec 2015 18:45:15 +0200

> From: Mark Oteiza <[email-masked]>
> Date: Sat, 05 Dec 2015 10:58:38 -0500
> 
> > Anyway, you are reading a binary byte stream from an audio daemon, so
> > I think you cannot expect it to be displayed in any human-readable
> > way, let alone hope that the major mode in effect in *scratch will be
> > able to fontify it in some reasonable way.  You should use
> > insert-file-contents-literally instead, I think.  (And I very much
> > doubt that "visiting" a non-regular file makes sense, but maybe I'm
> > missing something.)
> 
> Right, I didn't expect VISIT=t to make sense, but the resulting breakage
> is unexpected.

Emacs tries to decode the binary stream (unless you use the -literally
variant), and the result could look (to Emacs) like some text that
fits some font-locking or paren-matching pattern.